# Generated by Django 4.1.3 on 2022-11-07 18:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ems', '0006_delete_employeedetail'),
    ]

    operations = [
        migrations.CreateModel(
            name='EmployeeDetail',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('department', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ems.department')),
                ('employee', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='employee', to='ems.employee')),
                ('manager', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='manager', to='ems.employee')),
                ('project', models.ManyToManyField(to='ems.project')),
                ('role', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ems.role')),
            ],
        ),
    ]
